Cómo Instalar Avant-Window-Navigator

Imagen de Slurp
0 puntos

Buenas. Al intentar instalar AWN me encontré varios problemas que buscando conseguí solucionar. Lo pongo aquí todo junto por si a alguien le sirve. Nada lo he escrito yo, sólo arrejunto, que conste.

UbuntuGutsyHowTo

Paso 1: Preparar el sistema

* sudo apt-get install build-essential bzr automake1.9 autotools-dev

Paso 2: Instalar las dependencias

* sudo aptitude install libxdamage-dev libxcomposite-dev libgnome2-common libgnome2-dev libgnome-desktop-dev libgnome-vfs-dev libgtk2.0-dev libwnck-dev libgconf2-dev libglib2.0-dev libdbus-glib-1-dev libgnomevfs2-0 libgnome-desktop-2 libgnomecups1.0-dev libgnome2-0 libwnck-common python-gtk2 python-gtk2-dev python-cairo-dev python-cairo python-cairo-dbg python-gconf gnome-common python-dev python-gnome2-dev python2.4-dev

Paso 3: Descargar Avant Window Navigator de Bazaar:

* bzr co http://bazaar.launchpad.net/~awn-core/awn/trunk avant-window-navigator

Paso 4: Instala AWN

* cd avant-window-navigator
* ./autogen.sh
* make
* sudo make install

Paso 7: Arrancar AWN

* Alt-F2
* avant-window-navigator

Si te sale el siguiente error o simplemente no abre:

avant-window-navigator: error while loading shared libraries: libawn.so.0: cannot open shared object file: No such file or directory

La solucion es simple:

sudo ln -s /usr/local/lib/libawn.so.0 /usr/lib/

Paso 8: Hacer que AWN arranque automáticamente al inicio de sesión

* Click System, Control Center
* Click Sessions
* Click Startup Sessions Tab
* Click "New" and type "avant-window-navigator" in both name and command fields
* Click "OK"
* Click "Close

Paso 9: Instalar applets varios

* gksudo gedit /etc/apt/sources.list

añadir al final las siguientes dos líneas

deb http://download.tuxfamily.org/syzygy42/ gutsy avant-window-navigator

deb-src http://download.tuxfamily.org/syzygy42/ gutsy avant-window-navigator

* sudo apt-get install awn-core-applets-bzr

Paso 10: si da algún error al hacer aptitude update

* wget http://download.tuxfamily.org/syzygy42/reacocard.asc && sudo apt-key add reacocard.asc && rm reacocard.asc

Imagen de oscarm
+1
0
-1

Si añades los repositorios del avant-window-navigator, ¿para qué lo descargas de bazaar? Simplemente con el paso 9 es suficiente.

Añades repositorios.

sudo apt-get update

sudo apt-get install awn-core-applets-bzr avant-window-navigator-bzr

+1
0
-1
Imagen de Slurp
+1
0
-1

No sé, yo es que soy un poco torpe, simplemente he puesto lo que me ha funcionado en el orden que me ha funcionado pero ahora que lo dices... Lo edito y lo pongo como creo que dices.

Paso 1: Preparar el sistema

* sudo apt-get install build-essential bzr automake1.9 autotools-dev

Paso 2: Instalar las dependencias

* sudo aptitude install libxdamage-dev libxcomposite-dev libgnome2-common libgnome2-dev libgnome-desktop-dev libgnome-vfs-dev libgtk2.0-dev libwnck-dev libgconf2-dev libglib2.0-dev libdbus-glib-1-dev libgnomevfs2-0 libgnome-desktop-2 libgnomecups1.0-dev libgnome2-0 libwnck-common python-gtk2 python-gtk2-dev python-cairo-dev python-cairo python-cairo-dbg python-gconf gnome-common python-dev python-gnome2-dev python2.4-dev

Paso 3: Añadir los repositorios

* gksudo gedit /etc/apt/sources.list

añadir al final las siguientes dos líneas

deb http://download.tuxfamily.org/syzygy42/ gutsy avant-window-navigator

deb-src http://download.tuxfamily.org/syzygy42/ gutsy avant-window-navigator

Paso 4: Instalar AWN y applets varios

* sudo apt-get update

* sudo apt-get install awn-core-applets-bzr avant-window-navigator-bzr

Paso 5: Arrancar AWN

* Alt-F2
* avant-window-navigator

Si te sale el siguiente error o simplemente no abre:

avant-window-navigator: error while loading shared libraries: libawn.so.0: cannot open shared object file: No such file or directory

La solucion es simple:

sudo ln -s /usr/local/lib/libawn.so.0 /usr/lib/

Paso 6: Hacer que AWN arranque automáticamente al inicio de sesión

* Click System, Control Center
* Click Sessions
* Click Startup Sessions Tab
* Click "New" and type "avant-window-navigator" in both name and command fields
* Click "OK"
* Click "Close

Paso 7: si da algún error al hacer aptitude update

* wget http://download.tuxfamily.org/syzygy42/reacocard.asc && sudo apt-key add reacocard.asc && rm reacocard.asc

_______________________________________________________

... Que paren el mundo, que yo me bajo...

+1
0
-1

 

_______________________________________________________

... Que paren el mundo, que yo me bajo...

Imagen de pypete
+1
0
-1

 Despues de googlear bastante y despues de intentar todos los métodos descritos no consigo instalar la dichosa barra. Miento, la pude instalar la primera vez pero funcionaba mal, se quedaba enganchada a si q probe a desinstalarla y reinstalar. No he vuelto a hacerla funcionar. Unas veces se instalaba y no arrancaba; y otras como esta no me dejaba hacer nada. Creo, admas q estoy dejando restos de los intentos.

este es el mensaje de error tras el paso 4:

:~/avant-window-navigator$ ./autogen.sh
/usr/bin/gnome-autogen.sh
checking for autoconf >= 2.53...
  testing autoconf2.50... not found.
  testing autoconf... found 2.61
checking for automake >= 1.9...
  testing automake-1.10... found 1.10
checking for libtool >= 1.5...
  testing libtoolize... found 1.5.24
checking for glib-gettext >= 2.2.0...
  testing glib-gettextize... found 2.14.1
checking for intltool >= 0.30...
  testing intltoolize... found 0.36.2
checking for pkg-config >= 0.14.0...
  testing pkg-config... found 0.22
checking for gtk-doc >= 1.0...
  testing gtkdocize... not found.
***Error***: You must have gtk-doc >= 1.0 installed
  to build avant-window-navigator.  Download the appropriate package for
  from your distribution or get the source tarball at
    http://ftp.gnome.org/pub/GNOME/sources/gtk-doc/

Checking for required M4 macros...
  gtk-doc.m4 not found
***Error***: some autoconf macros required to build avant-window-navigator
  were not found in your aclocal path, or some forbidden
  macros were found.  Perhaps you need to adjust your
  ACLOCAL_FLAGS?

 

Soy un poco novato a si que igual me lo teneis que mascar. Agradecido de antemano, pues el ensayo/error me ayuda a aprender.

 

+1
0
-1
Imagen de pol666
+1
0
-1

No se yo estuve un largo tiempo instalandola y lo logre pero no consigo AWN.CURVES :(

+1
0
-1
Imagen de Slurp
+1
0
-1

Bueno, yo en realidad soy el más novato de todos. Puse esta información toda junta por si a alguien le pudiese ser útil pero no sé hacer mucho más por ahora, lo siento. 

_______________________________________________________

... Que paren el mundo, que yo me bajo...

+1
0
-1

 

_______________________________________________________

... Que paren el mundo, que yo me bajo...

Imagen de JQK
+1
0
-1

Que tal, yo lo ago muhcho mas simple, y muchos pueden criticarme por eso, pero bue...

¿que hago?, bueno me boy a getdeb.net busco avant y doble click, click, click, y listo.

perdonen que sea tan simple...

A por cierto, gracias a tu comentario pude hacer que se inicie al iniciar el ordenador, gracias. 

+1
0
-1
Imagen de bolsin
+1
0
-1

Yo tenia el mismo error y lo solucione instalando gtk-doc.

Cuando este instalado continuas con :

#.autogen.sh

y  sigues con lo demas q hay en el post :)

+1
0
-1
Imagen de Ardanbis
+1
0
-1

 Muchas gracias por el completo tutorial pero como tengo la mala costumbre de leer las cosas antes de aceptar pues me he parado en el segundo paso (he añadido comentarios de lo que estaba pensando mientras lo leia) que ponia algo así durante la instalación:

Eliminar los paquetes siguientes:
alacarte
avant-window-navigator-bzr       <-- este  paquete se supone que es necesario para la instalacion de avant window navigator
awn-core-applets-bzr
banshee            <--¡oh! ¿como voy a sacrificar esto?
banshee-daap
capplets-data
fast-user-switch-applet
gimp-python
gnome-applets            <--de aqui
gnome-control-center
gnome-panel
gnome-panel-data
gnome-session
gnome-system-tools
gnome-terminal
gnome-terminal-data
gnome-volume-manager    <--hasta aqui se puede considerar suicidio
libawn-bzr
nautilus          <--esto es necesario para explorar las carpetas de mi sistema operativo
nautilus-cd-burner
nautilus-data
openoffice.org                
openoffice.org-base
openoffice.org-calc
openoffice.org-draw
openoffice.org-evolution
openoffice.org-gnome
openoffice.org-gtk
openoffice.org-impress
openoffice.org-math            
python-libawn-bzr
rhythmbox
sound-juicer
tagtool
totem                 <<-- ni de coña voy a renunciar a totem
totem-gstreamer
totem-mozilla
ubuntu-desktop       <<<<--NOTA: aqui es donde me podria quedar con una pantalla negra al iniciar ubuntu, asi que paso definitivamente

-----------------------------------

Linux user #466973

Ubuntu user #20815

+1
0
-1
Imagen de Goyo
+1
0
-1

No sé por qué se quieren desinstalar todas esas cosas, pero yo uso el binario de getdeb y va muy bien en Gutsy. El binario de tuxfamily también va bien, creo. Este tutorial da más vueltas de las necesarias y puede confundir.


Equipo de moderadores
Normas

Documentación
+1
0
-1
Imagen de Slurp
+1
0
-1

 Puesss... yo sigo teniendo todas esas cosas...

_______________________________________________________

... Que paren el mundo, que yo me bajo...

+1
0
-1

 

_______________________________________________________

... Que paren el mundo, que yo me bajo...

Imagen de erickelrojas
+1
0
-1

Si les da tantos errores, desinstalen con un aptitude o desde synaptic, y sigan mi guía que es genérica para cinco versiones de Ubuntu, está muy bien explicada y es mucho más rápido de hacer, además esos repositorios son del señor X y no los oficiales del desarrollador.

http://www.elleonplateadodeojosrojos.es/blog/lanzador-de-aplicaciones

Espero que les sirva de ayuda y que visiten mi blog.

"Sólo existe un sentimiento mayor que el amor a la libertad: el odio al que te la quita."

 Ernesto G.

+1
0
-1

"Sólo existe un sentimiento mayor que el amor a la libertad: el odio al que te la quita."

 Ernesto G.

Imagen de tUxbUntUx
+1
0
-1

se pude posisionar AWN en la parte superior del escritorio???
y no abajo, como viene por defecto?

+1
0
-1
Imagen de matrero
+1
0
-1

Aqui les dejo el tuto k siempre me funciona para poder instalarlo al 100%

AQUI

+1
0
-1